Problems while installing apache
Posted by: pepemujica (---.bancogalicia.com.ar)
Date: April 09, 2019 09:06PM

Hi!


I'm installing wamp 3.1.4 on a windows server 2012 R2 x64

After asking me the default browser and tex editor, I get the following message:

The procedure entry point isalpha could not be located in the dynamic link library c:\wamp64\bin\apache\apache2.4.3.7\bin\pcre.dll

I have installed Microsoft Visual C++ 2010 & 2012, but still having the same problem.

After installing, the icon is orange

Any idea how I can fix this?



Edited 1 time(s). Last edit at 04/09/2019 09:09PM by pepemujica.

Options: ReplyQuote
Re: Problems while installing apache
Posted by: RiggsFolly (Moderator)
Date: April 10, 2019 09:48AM

Hi

Yes, you need all the MSVC C/C++ Runtimes mentioned on this post WAMPServer 3 All you need to know under the title Before running the install, you must read these prerequisites:


If you go to the Backup WAMPServer REPO at the bottom of that page you will see a link to Checks VC++ packages installed which is a tool that will check if you have all the required runtimes.

Also you will find a link to a download "All VC Redistribuable Packages (x86_x64) (32 & 64bits)" that you can download. This is a zip of set of installs for all the runtimes.
Unzip it, and run each on version numbr order, oldest first.

Once all the runtimes are installed, uninstall WAMPServer, delete the `wamp` or `wamp64` folder and then reinstall WAMPServer.

I would suggets that you install the latest WAMPServer v3.1.7 and then apply the update to v3.1.8

Once that is done, you can then download the versions of Apache/MySQL/mariaDB/PHP that you need for your purposes, then switch to those versions.

---------------------------------------------------------------------------------------------
(Windows 10 Pro 64bit) (Wampserver 3.1.8 32bit & 64bit)
<Apache versions MULTIPE> <PHP versions MULTIPLE> <MySQL Versions MULTIPLE>
<MariaDB versions MULTIPLE> <phpMyAdmin versions MULTIPLE> <MySQL Workbench 8.0.16>

Read The Manuals Apache -- MySQL -- PHP -- phpMyAdmin
Get your Apache/MySQL/mariaDB/PHP ADDONs here from the WAMPServer alternate Repo
-X-X-X- Backup your MySQL databases regularly Here is How dont regret it later! Yes even when developing -X-X-X-

Options: ReplyQuote
Re: Problems while installing apache
Posted by: pepemujica (---.bancogalicia.com.ar)
Date: April 10, 2019 06:29PM

Thanks for the answer.

I've folled step by step, but still having the same message error.

Is there any other thing I can do?

Kind regards.

Options: ReplyQuote
Re: Problems while installing apache
Posted by: Otomatic (Moderator)
Date: April 10, 2019 08:10PM

Hi,

Install addon Apache 2.4.39 then switch to this version of Apache.

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.9 32 bit - Apache 2.4.39 - PHP 7.3.6/7.2.19/7.1.30/7.0.33/5.6.40 - MySQL 5.7.26 - MariaDB 10.3.15
Wampserver 3.1.9 64 bit - Apache 2.4.39 - PHP 7.3.6/7.2.19/7.1.30/7.0.33/5.6.40 - MySQL 5.7.26/8.0.16 - MariaDB 10.3.15
PhPMyadmin 4.9.0.1 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Problems while installing apache
Posted by: pepemujica (---.bancogalicia.com.ar)
Date: April 10, 2019 08:15PM

Hi! How should I do that? When I go to the wamps icon, to the part of apache, and want to add or delete, it appears the same message.

Options: ReplyQuote
Re: Problems while installing apache
Posted by: Otomatic (Moderator)
Date: April 10, 2019 08:47PM

Hi,

With WAMPserver 3 - All you need to know you will see all the "addons" (*) available and where to download them.
- Donwload then install (as an administrator) the apache 2.4.39 addon.
- Launch Wampserver
- Change your apache version to 2.4.39
--- Left-Click -> Apache -> Version -> Apache 2.4.39

(*) An "addon" is an installer that adds a version of Apache, PHP, MySQL or MariaDB to your current version of Wampserver but without changing anything in your configuration.

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.9 32 bit - Apache 2.4.39 - PHP 7.3.6/7.2.19/7.1.30/7.0.33/5.6.40 - MySQL 5.7.26 - MariaDB 10.3.15
Wampserver 3.1.9 64 bit - Apache 2.4.39 - PHP 7.3.6/7.2.19/7.1.30/7.0.33/5.6.40 - MySQL 5.7.26/8.0.16 - MariaDB 10.3.15
PhPMyadmin 4.9.0.1 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Problems while installing apache
Posted by: pepemujica (---.bancogalicia.com.ar)
Date: April 10, 2019 09:57PM

Hi! I've followed step by step, but sitll having the same error.

Don't know what more to do

Options: ReplyQuote


Sorry, only registered users may post in this forum.